form 4b408cc1ff Import Memtest86+ 2.11
Memtest86+ is thorough, stand alone memory test for Intel i386 architecture
systems, based on the well-known Memtest86 written by Chris Brady.
    
ok sturm@
2009-02-09 14:54:40 +00:00

79 lines
2.5 KiB
Plaintext

$OpenBSD: patch-makeiso_sh,v 1.1.1.1 2009/02/09 14:54:40 form Exp $
$RuOBSD: patch-makeiso_sh,v 1.2 2009/02/08 07:32:31 form Exp $
--- makeiso.sh.orig Sun Nov 16 16:09:42 2008
+++ makeiso.sh Sat Feb 7 23:01:20 2009
@@ -1,23 +1,19 @@
#!/bin/sh
-# check to see if the correct tools are installed
-for X in wc mkisofs
-do
- if [ "$(which $X)" = "" ]; then
- echo "makeiso.sh error: $X is not in your path." >&2
- exit 1
- elif [ ! -x $(which $X) ]; then
- echo "makeiso.sh error: $X is not executable." >&2
- exit 1
- fi
-done
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+export PATH
+set -e
#check to see if memtest.bin is present
-if [ ! -w memtest.bin ]; then
- echo "makeiso.sh error: cannot find memtest.bin, did you compile it?" >&2
+if [ ! -r memtest.bin ]; then
+ echo "makeiso.sh error: cannot find memtest.bin, did you compile it?" >&2
exit 1
fi
+if [ ! -r memtest_s.bin ]; then
+ echo "makeiso.sh error: cannot find memtest_s.bin, did you compile it?" >&2
+ exit 1
+fi
# enlarge the size of memtest.bin
SIZE=$(wc -c memtest.bin | awk '{print $1}')
@@ -26,20 +22,28 @@ dd if=/dev/zero of=fill.tmp bs=$FILL count=1
cat memtest.bin fill.tmp > memtest.img
rm -f fill.tmp
+# enlarge the size of memtest_s.bin
+SIZE=$(wc -c memtest_s.bin | awk '{print $1}')
+FILL=$((1474560 - $SIZE))
+dd if=/dev/zero of=fill.tmp bs=$FILL count=1
+cat memtest_s.bin fill.tmp > memtest_s.img
+rm -f fill.tmp
+
echo "Generating iso image ..."
-mkdir "cd"
-mkdir "cd/boot"
-mv memtest.img cd/boot
+mkdir cd
+mkdir cd/boot
cd cd
-# Create the cd.README
-echo -e "There is nothing to do here\r\r\nMemtest86+ is located on the bootsector of this CD\r\r\n" > README.TXT
-echo -e "Just boot from this CD and Memtest86+ will launch" >> README.TXT
+echo "There is nothing to do here!" > README.TXT
+echo >> README.TXT
+echo "Memtest86+ is located on the bootsector of this CD." >> README.TXT
+echo "Just boot from this CD and Memtest86+ will launch." >> README.TXT
-mkisofs -A "MKISOFS 1.1.2" -p "Memtest86+ 2.11" -publisher "Samuel D. <sdemeule@memtest.org>" -b boot/memtest.img -c boot/boot.catalog -V "MT201" -o memtest.iso .
-mv memtest.iso ../mt211.iso
-cd ..
-rm -rf cd
-
-echo "Done! Memtest86+ ISO is mt211.iso"
+mv ../memtest.img boot
+mkhybrid -J -V "Memtest86+ 2.11" -b boot/memtest.img -c boot/boot.catalog \
+ -hide boot -hide-joliet boot -o ../memtest.iso .
+rm -f boot/*
+mv ../memtest_s.img boot
+mkhybrid -J -V "Memtest86+ 2.11" -b boot/memtest_s.img -c boot/boot.catalog \
+ -hide boot -hide-joliet boot -o ../memtest_s.iso .